package com.dev.swms.server.model.base;

import java.util.Date;
import java.util.Set;

import com.dev.energy.server.model.Entity;

/**
 * 省份
 * @author 44700
 *
 */
public class Province extends Entity{
	private String code; //代码
	
	private String name; //名称
	
	private Set<City> citys; //包含城市
	
	private boolean disabled = false; //是否失效
	
	private String description; //描述
	
	private String creatPeople;//创建人
	private Date creatDate;//创建时间
	
	private String locCode;
	private String bonded;
	private String hz;
	private String srs;
	

	public String getLocCode() {
		return locCode;
	}

	public void setLocCode(String locCode) {
		this.locCode = locCode;
	}

	public String getBonded() {
		return bonded;
	}

	public void setBonded(String bonded) {
		this.bonded = bonded;
	}

	public String getHz() {
		return hz;
	}

	public void setHz(String hz) {
		this.hz = hz;
	}

	public String getSrs() {
		return srs;
	}

	public void setSrs(String srs) {
		this.srs = srs;
	}

	public String getCreatPeople() {
		return creatPeople;
	}

	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}

	public Date getCreatDate() {
		return creatDate;
	}

	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Set<City> getCitys() {
		return citys;
	}

	public void setCitys(Set<City> citys) {
		this.citys = citys;
	}

	public boolean isDisabled() {
		return disabled;
	}

	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	
}
